GET/Collaborators/types/{typeId}
Gets one collaborator type with its sections and assigned properties. The typeId comes from Collaborators_GetCollaboratorTypes.
Path Parameters
| Field | Type | Required | Description |
|---|
| typeId | uuid | Required | |
Response
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
| icon | string| null | |
| color | string| null | |
| isArchived | boolean | |
| orgCorrelationId | uuid| null | |
| index | integer | |
| sections | GetCollaboratorTypeResponseSectionInfo[]| null | |
GetCollaboratorTypeResponseSectionInfo
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
| index | integer | |
| orgCorrelationId | uuid| null | |
| properties | GetCollaboratorTypeResponsePropertyAssignmentInfo[]| null | |
GetCollaboratorTypeResponsePropertyAssignmentInfo
| Field | Type | Description |
|---|
| propertyId | uuid | |
| name | string| null | |
| type | string| null | |
| isRequired | boolean | |
| isCollaboratorVisible | boolean | |
| isCollaboratorEditable | boolean | |
| index | integer | |
| options | GetCollaboratorTypeResponseOptionInfo[]| null | |
GetCollaboratorTypeResponseOptionInfo
| Field | Type | Description |
|---|
| id | uuid | |
| label | string| null | |